"""v21.12.0_feature/#227

Revision ID: 8bde2ff68ed1
Revises: 9c694b5e95aa
Create Date: 2021-12-09 10:10:13.502671

"""
from alembic import op
import sqlalchemy as sa


from app.database import get_db_schema

# revision identifiers, used by Alembic.
revision = '8bde2ff68ed1'
down_revision = '9c694b5e95aa'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('idx_transfer_approval', sa.Column('exchange_address', sa.String(length=42), nullable=True), schema=get_db_schema())
    op.create_index(op.f('ix_idx_transfer_approval_exchange_address'), 'idx_transfer_approval', ['exchange_address'], unique=False, schema=get_db_schema())
    op.add_column('transfer_approval_history', sa.Column('exchange_address', sa.String(length=42), nullable=True), schema=get_db_schema())
    op.create_index(op.f('ix_transfer_approval_history_exchange_address'), 'transfer_approval_history', ['exchange_address'], unique=False, schema=get_db_schema())
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_transfer_approval_history_exchange_address'), table_name='transfer_approval_history', schema=get_db_schema())
    op.drop_column('transfer_approval_history', 'exchange_address', schema=get_db_schema())
    op.drop_index(op.f('ix_idx_transfer_approval_exchange_address'), table_name='idx_transfer_approval', schema=get_db_schema())
    op.drop_column('idx_transfer_approval', 'exchange_address', schema=get_db_schema())
    # ### end Alembic commands ###
